\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{proposal}[1999/07/02 NSF proposal style v0.1 SGLS]

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{article}}
\ProcessOptions
\LoadClass[12pt,letterpaper]{article}
\RequirePackage{calc}
%\RequirePackage{epsfig}

%\def\@biblabel#1{} % Suppress labels in bibliography

\addtolength{\voffset}{-1in}
\addtolength{\hoffset}{-1in}
\setlength{\topmargin}{1in}
\setlength{\oddsidemargin}{1in}
\setlength{\evensidemargin}{1in}
\setlength{\textwidth}{\paperwidth - 2in}
\setlength{\textheight}{\paperheight - 2in}
\setlength{\footskip}{36pt}
\setlength{\marginparsep}{0.5cm}
\setlength{\marginparwidth}{1.5cm}
\setlength{\headheight}{0pt}
\setlength{\headsep}{0pt}

\renewcommand\tableofcontents{%
    \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}%
    \@starttoc{toc}%
    }

\RequirePackage{fancyhdr}

\pagestyle{fancy}
\fancyhead{}
\cfoot{\thepage}
\renewcommand{\headrulewidth}{0pt}
% Workaround for overfull vbox complaints. Start the (empty) header
% -baselineskip higher, and increase the headheight by baselineskip
\addtolength{\headheight}{\baselineskip}
\addtolength{\voffset}{-\baselineskip}

% Old... Gave warnings about vbox's being overfull
%\RequirePackage{fancyheadings}
%\pagestyle{fancyplain}
%\setlength{\headrulewidth}{0pt}
%\lhead{}
%\chead{}
%\rhead{}
%\lfoot{}
%\cfoot{\thepage}
%\rfoot{}

\def\@makefnmark{\hbox{$^{\fnsymbol{\@mpfn}}\m@th$}}

\RequirePackage{times}
\RequirePackage{mathptm}
%\RequirePackage{natbib}
%\def\degrees{\char23}
%\def\times{{\fontencoding{U}\fontfamily{psy}\selectfont\char180}}
\def\S{{\fontencoding{T1}\selectfont\char159}}
\DeclareSymbolFont{psymbols}{U}{psy}{m}{n}
%\let\times\relax
\DeclareMathSymbol{\times}{\mathbin}{psymbols}{180}

\DeclareMathSymbol{\prime}{\mathord}{operators}{"13}
%\makeatletter
{\catcode`\'=\active \gdef'{\bgroup\prim@s}}
%\makeatother
